Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbAttributeOverride

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbAttributeOverride

    public class JaxbAttributeOverride

extends Object

Field Summary
`protected JaxbColumn` | `column`
`protected String` | `description`
`protected String` | `name`

Constructor Summary
`JaxbAttributeOverride()`

Method Summary
`JaxbColumn` | `getColumn()` Gets the value of the column property.
`String` | `getDescription()` Gets the value of the description property.
`String` | `getName()` Gets the value of the name property.
`void` | `setColumn(JaxbColumn value)` Sets the value of the column property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### column

    protected JaxbColumn column

### name

    protected String name

Constructor Detail

### JaxbAttributeOverride

    public JaxbAttributeOverride()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getColumn

    public JaxbColumn getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumn`

### setColumn

    public void setColumn(JaxbColumn value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumn`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.